import { XYChart } from "./XYChart";
import { IEnumerable, Type } from "igniteui-angular-core";
import { DomainType } from "./DomainType";
import { CategoryChartType } from "./CategoryChartType";
import { CategorySeriesMarkerCollisionAvoidance } from "./CategorySeriesMarkerCollisionAvoidance";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { AutoMarginsAndAngleUpdateMode } from "./AutoMarginsAndAngleUpdateMode";
import { AxisRangeBufferMode } from "./AxisRangeBufferMode";
import { BrushCollection } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { DataSeriesType } from "igniteui-angular-core";
import { IDataSeriesAdapterRule } from "igniteui-angular-core";
import { Series } from "./Series";
import { XamDataChart } from "./XamDataChart";
import { Axis } from "./Axis";
import { MarkerType } from "./MarkerType";
import { DataSeries } from "igniteui-angular-core";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
/**
 * @hidden
 */
export declare class CategoryChart extends XYChart {
    static $t: Type;
    protected vw(): void;
    protected vy(a: Series, b: number): void;
    protected wr(a: string, b: any, c: any): void;
    private akt;
    get akw(): number;
    set akw(a: number);
    private aku;
    get akx(): number;
    set akx(a: number);
    private aiw;
    get aiy(): (time: number) => number;
    set aiy(a: (time: number) => number);
    private aix;
    get aiz(): (time: number) => number;
    set aiz(a: (time: number) => number);
    ak3(): string;
    protected vr(a: XamDataChart, b: any): void;
    protected vx(a: Series, b: number): void;
    private aim;
    private aiq;
    protected u7(): void;
    protected agk(a: Axis): void;
    protected agi(a: Axis): void;
    protected get_cc(): DomainType;
    get cc(): DomainType;
    private aig;
    get aih(): CategoryChartType;
    set aih(a: CategoryChartType);
    private aii;
    get aij(): CategorySeriesMarkerCollisionAvoidance;
    set aij(a: CategorySeriesMarkerCollisionAvoidance);
    private ai2;
    get ajd(): boolean;
    set ajd(a: boolean);
    private ai3;
    get aje(): boolean;
    set aje(a: boolean);
    private aik;
    get ail(): CategoryTransitionInMode;
    set ail(a: CategoryTransitionInMode);
    private aiu;
    get aiv(): TransitionInSpeedType;
    set aiv(a: TransitionInSpeedType);
    private ajq;
    get akd(): number;
    set akd(a: number);
    private ajt;
    get akg(): number;
    set akg(a: number);
    private ajp;
    get akc(): number;
    set akc(a: number);
    private ajs;
    get akf(): number;
    set akf(a: number);
    private ajr;
    get ake(): number;
    set ake(a: number);
    private aju;
    get akh(): number;
    set akh(a: number);
    private aj0;
    get akp(): number;
    set akp(a: number);
    private aic;
    get aid(): AutoMarginsAndAngleUpdateMode;
    set aid(a: AutoMarginsAndAngleUpdateMode);
    private ai4;
    al9(): void;
    get ajf(): boolean;
    set ajf(a: boolean);
    protected static readonly alc: string;
    private ai5;
    get ajg(): boolean;
    set ajg(a: boolean);
    private ajn;
    get aj4(): number;
    set aj4(a: number);
    private ajo;
    get aj5(): number;
    set aj5(a: number);
    private ai9;
    get ajk(): boolean;
    set ajk(a: boolean);
    private static readonly alj;
    private ai6;
    get ajh(): boolean;
    set ajh(a: boolean);
    private static readonly alx;
    private ai8;
    get ajj(): boolean;
    set ajj(a: boolean);
    private aie;
    get aif(): AxisRangeBufferMode;
    set aif(a: AxisRangeBufferMode);
    private aja;
    get ajl(): boolean;
    set ajl(a: boolean);
    private akv;
    get aky(): number;
    set aky(a: number);
    private aj2;
    get akr(): number;
    set akr(a: number);
    private aj1;
    get akq(): number;
    set akq(a: number);
    private aj3;
    get aks(): number;
    set aks(a: number);
    get akb(): number;
    get aka(): number;
    aj7(): number;
    aj9(): number;
    aj6(): number;
    aj8(): number;
    get ako(): number;
    get akn(): number;
    private ah8;
    get aia(): BrushCollection;
    set aia(a: BrushCollection);
    private ah9;
    get aib(): BrushCollection;
    set aib(a: BrushCollection);
    private ai7;
    get aji(): boolean;
    set aji(a: boolean);
    private ajv;
    get aki(): number;
    set aki(a: number);
    private ajw;
    get akj(): number;
    set akj(a: number);
    private ajx;
    get akk(): number;
    set akk(a: number);
    private ajy;
    get akl(): number;
    set akl(a: number);
    private ajz;
    get akm(): number;
    set akm(a: number);
    private ai0;
    get ajb(): boolean;
    set ajb(a: boolean);
    private ai1;
    get ajc(): boolean;
    set ajc(a: boolean);
    constructor();
    protected get_h7(): List$1<DataSeriesType>;
    protected get h7(): List$1<DataSeriesType>;
    private ajm;
    protected id(): IEnumerable;
    protected c2(a: Series): MarkerType;
    protected c4(a: Series): MarkerType;
    protected get_hp(): boolean;
    private al7;
    private al8;
    protected xl(): void;
    private _xAxis;
    private get xAxis();
    private set xAxis(value);
    private _yAxis;
    private get yAxis();
    private set yAxis(value);
    private aip;
    private aio;
    protected bf(a: DataSeries): DataSeriesType;
    protected dd(a: DataSeries, b: DataSeriesType): Series;
    protected xj(a: DataSeries): void;
    protected xm(): void;
    protected get_h6(): List$1<IDataSeriesAdapterRule>;
    protected get h6(): List$1<IDataSeriesAdapterRule>;
    protected u1(a: Series, b: number): void;
    private al5;
    private al6;
    protected aaz(): Axis;
    protected aa0(): Axis;
    private ais;
    private ait;
    protected h3(a: string, b: boolean): List$1<Series>;
    protected bb(): ComputedPlotAreaMarginMode;
    protected xq(a: Series, b: Series, c: DataSeries): void;
    protected g9(): boolean;
    protected get_hg(): boolean;
    protected wn(a: string, b: any, c: any): void;
}
